#
# spec file for package spec (Version 2.0)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild

Name:         noUSDgba
License:      Freeware
Group:        unsorted
Autoreqprov:  on
Version:      v2.8e
Release:      1.5
Summary:      Nintendo Game Boy Advance and DS Emulator
Source:       http://problemkaputt.de/no$gba-w.zip
BuildRequires: unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires: wine
BuildArchitectures: noarch

%description
Very accurate Game Boy Advance and Nintendo DS emulator. (Its real name is
no$gba, but for technical reasons the package and binary are called
noUSDgba.)

For your convenience you may want to copy or link your ROM images to
~/.noUSDgba/SLOT, a directory that will be created when you first run no$gba.

This is the freeware version without debugging facilities. Debugger version
are available from US$15 for personal use or US$750 for commercial use
at http://nocash.emubase.de/gba-dev.htm

This package uses WINE to run.

%prep
%setup -c -T
unzip -L '%SOURCE0'

%build

%install
install -d -m 755 $RPM_BUILD_ROOT/usr/share/'%name'
cp -p *.exe $RPM_BUILD_ROOT/usr/share/'%name'
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
cat <<EOT >$RPM_BUILD_ROOT/usr/bin/'%name'
#!/bin/sh
if test ! -e \$HOME/'.%name'
then
	mkdir -p \$HOME/'.%name'
	ln -sf /usr/share/'%name'/*.exe \$HOME/'.%name'
fi
wine \$HOME/'.%name'/no?gba.exe
EOT
chmod 755 $RPM_BUILD_ROOT/usr/bin/'%name'

%files
%defattr(-,root,root)
%doc readme.txt
/usr/bin/%name
/usr/share/%name
